<script lang="ts">
  import {
    cacheExchange,
    debugExchange,
    fetchExchange,
    initClient as initUrqlClient,
  } from '@urql/svelte';
  import { initTheme } from 'stores/themeStore';
  import { initAuth0Client } from 'stores/authStore';
  import { onMount } from 'svelte';
  import Routes from 'components/Routes';

  initTheme();
  
  initUrqlClient({
    url: import.meta.env.VITE_GRAPHQL_API_ENDPOINT,
    exchanges: [debugExchange, cacheExchange, fetchExchange],
  });

  onMount(async () => {
    await initAuth0Client();
  });
</script>

<main class="h-full flex flex-col items-center bg-gray-100 dark:bg-[#0b0f19]">
  <Routes />
</main>

<style>
  :root {
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen,
      Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  }
</style>
